Loading...
Searching...
No Matches
WGPUVertexState Struct Reference

`#include <mini_webgpu.h>`

## Public Attributes

WGPUChainedStruct const * | nextInChain
WGPUShaderModule | module
WGPU_NULLABLE char const * | entryPoint
size_t | constantCount
WGPUConstantEntry const * | constants
size_t | bufferCount
WGPUVertexBufferLayout const * | buffers

## Detailed Description

Definition at line 2002 of file mini_webgpu.h.

## Member Data Documentation

## nextInChain

WGPUChainedStruct const* WGPUVertexState::nextInChain

Definition at line 2003 of file mini_webgpu.h.

## module

WGPUShaderModule WGPUVertexState::module

Definition at line 2004 of file mini_webgpu.h.

## entryPoint

WGPU_NULLABLE char const* WGPUVertexState::entryPoint

Definition at line 2005 of file mini_webgpu.h.

## constantCount

size_t WGPUVertexState::constantCount

Definition at line 2006 of file mini_webgpu.h.

## constants

WGPUConstantEntry const* WGPUVertexState::constants

Definition at line 2007 of file mini_webgpu.h.

## bufferCount

size_t WGPUVertexState::bufferCount

Definition at line 2008 of file mini_webgpu.h.

## buffers

WGPUVertexBufferLayout const* WGPUVertexState::buffers

Definition at line 2009 of file mini_webgpu.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_webgpu.h